### Method

# Hex Buffer set_file

#### Declaration

    gboolean
    hex_buffer_set_file (
      HexBuffer* self,
      GFile* file
    )

#### Description

Set the `GFile` to be utilized by the buffer. Once it has been set, you can read it into the buffer with `hex_buffer_read()` or `hex_buffer_read_async()`.

Sets property | `Hex.Buffer:file`

#### Parameters

`file`

  Type: `GFile`

  The file to be utilized by the buffer.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful; `FALSE` otherwise.